Skip to main content
GET
/
markets
/
orders
Get Order History
curl --request GET \
  --url https://www.aionmarket.com/bvapi/markets/orders \
  --header 'Authorization: Bearer <token>'
[
  {
    "orderId": "<string>",
    "marketId": "<string>",
    "status": "<string>",
    "side": "<string>",
    "outcome": "<string>",
    "price": 123,
    "size": 123,
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
default:YOUR_API_KEY
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
open,
filled,
cancelled,
rejected
limit
integer
default:50

Response

200 - application/json

Order history

orderId
string
marketId
string
status
string
side
string
outcome
string
price
number
size
number
createdAt
string<date-time>